/* 
 * Thomas Pantzer: kalah.h, v0.1b  27.1.98 22:12 
 * 
 * 
 * Copyright 1998 by Thomas Pantzer
 * 
 * Permission to use, copy, modify, and distribute this software for noncommercial 
 * use and without fee is hereby granted, provided that the above copyright notice 
 * appear in all copies and that both that copyright notice and this permission 
 * notice appear in supporting documentation, and that the name of the Author not be 
 * used in advertising or publicity pertaining to distribution of the software 
 * without specific, written prior permission. The Author makes no representations about
 * the suitability of this software for any purpose.  It is provided "as is" 
 * without expressed or implied warranty. 
 * 
 * 
 * pantec@aix520.informatik.uni-leipzig.de   (Thomas Pantzer) 
 * 
 */

#ifndef FD_kalah_h_
#define FD_kalah_h_
/* Header file generated with fdesign. */

/**** Callback routines ****/

extern void button_cb(FL_OBJECT *, long);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *kalah;
	void *vdata;
	long ldata;
	FL_OBJECT *kalah_bt[2];
	FL_OBJECT *bean_bt[12];

        FL_OBJECT *holder[14];
        
        FL_OBJECT *move_bt[2];
        FL_OBJECT *reset_bt;
        FL_OBJECT *exit_bt;
} FD_kalah;

extern FD_kalah * create_form_kalah(void);
extern void switch_cb(void);
extern int idle_cb(XEvent *xev, void *d);


#ifdef MAIN_G
   FD_kalah *fd_kalah;
#else
extern   FD_kalah *fd_kalah;
#endif      



#endif /* FD_kalah_h_ */
